Kerbal Space Program - Bug #22883

Kerbal G-Forces calculated from craft center of mass, not kerbal location
06/14/2019 09:20 AM - Ruedii

Status: Confirmed Start date: 06/14/2019
Severity: Low % Done: 10%
Assignee: just_jim

Category: Physics

Target version:

Version: 1.7.2 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Breaking Ground, Core Game

Description

When Goofing off with the rotors from Breaking Ground, | made a few amusement rides. Who hasn't thought of doing it.

| was hoping to make my kerbals pass out from G-Forces but | ran into an interesting bug:

It seems the G-Forces for kerbals aren't calculated from where the Kerbals are but from where the center of mass is.

This means that the centrifugal force of a rotating rotor with the kerbal command pods on the side, create no Kerbal G-Forces.

To replicate the behavior:

1. Create a nice little centrifuge with a heavy duty rotor in the center, mounted to the ground with launch clamps, with two pods off to
the side.

2. Switch Command to one of the two side pods.

3. Spin up the Centrifuge to about 200RPM (Higher than that will often result in it tearing itself apart)

4. Note that neither G-Forces, nor kerbal G-Forces increase.

Expected behavior:
G-Forces should be read properly and the kerbal in the command pod should pass out.

History

#1 - 07/19/2019 03:40 PM - Ruedii
- File Spinner Test 2.craft added

| Finally got around to making a really nice example craft. (Something | would be proud to post.) Sorry about the wait.

| also wanted to make sure the bug was not fixed in the rollout fixes before bothering with the additional time and effort.

#2 - 10/28/2019 09:29 PM - just_jim

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Platform Windows added

Nice test craft. And yes, the Kerbal's are apparently not registering any G-forces.

#4 - 10/28/2019 09:30 PM - just_jim

- Assignee set to just_jim

#5 - 03/04/2020 06:34 PM - just_jim

- Severity changed from Normal to Low

Files

Spinner Test 2.craft 40.2 KB 07/19/2019 Ruedii
